# GNU Enterprise Forms - GTK UI Driver - page widget
#
# Copyright 2001-2007 Free Software Foundation
#
# This file is part of GNU Enterprise
#
# GNU Enterprise is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with program; see the file COPYING. If not,
# write to the Free Software Foundation, Inc., 59 Temple Place
# - Suite 330, Boston, MA 02111-1307, USA.
#
# $Id: page.py 9221 2007-01-08 13:01:08Z johannes $

import gtk

from gnue.forms.uidrivers.gtk2.widgets._base import UIHelper


# =============================================================================
# This class implements notebook pages
# =============================================================================

class UIPage (UIHelper):

  # ---------------------------------------------------------------------------
  # create a new page
  # ---------------------------------------------------------------------------

  def _create_widget (self, event, spacer):
    gfObject  = event.object
    newWidget = self._uiForm._wrapper.createPage (gfObject)
    self._container = newWidget
    return newWidget
    

# -----------------------------------------------------------------------------
# Base configuration
# -----------------------------------------------------------------------------

configuration = {
    'baseClass'  : UIPage,
    'provides'   : 'GFPage',
    'container'  : 1,
    }
